package com.mortals.xhx.module.matter.model;

import com.mortals.xhx.module.matter.model.vo.MatterDatumFileVo;
/**
 * 材料附件实体对象
 *
 * @author zxfei
 * @date 2022-11-16
 */

public class MatterDatumFileEntity extends MatterDatumFileVo {
    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 材料名
     */
    private String materialName;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件下载地址
     */
    private String fileUrl;
    /**
     * 附件本地下载地址
     */
    private String localFileUrl;
    /**
     * 附件类型 (示例样表.示例样表，空白表格.空白表格)
     */
    private String filetype;
    /**
     * 附件来源 (0.政务网，1.自定义)
     */
    private Integer source;



    public MatterDatumFileEntity(){}
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
     * 获取 附件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 附件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 附件下载地址
     * @return String
     */
    public String getFileUrl(){
        return fileUrl;
    }
    /**
     * 设置 附件下载地址
     * @param fileUrl
     */
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }
    /**
     * 获取 附件本地下载地址
     * @return String
     */
    public String getLocalFileUrl(){
        return localFileUrl;
    }
    /**
     * 设置 附件本地下载地址
     * @param localFileUrl
     */
    public void setLocalFileUrl(String localFileUrl){
        this.localFileUrl = localFileUrl;
    }
    /**
     * 获取 附件类型 (示例样表.示例样表，空白表格.空白表格)
     * @return String
     */
    public String getFiletype(){
        return filetype;
    }
    /**
     * 设置 附件类型 (示例样表.示例样表，空白表格.空白表格)
     * @param filetype
     */
    public void setFiletype(String filetype){
        this.filetype = filetype;
    }
    /**
     * 获取 附件来源 (0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 附件来源 (0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumFileEntity) {
            MatterDatumFileEntity tmp = (MatterDatumFileEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",datumId:").append(getDatumId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",fileName:").append(getFileName());
        sb.append(",fileUrl:").append(getFileUrl());
        sb.append(",localFileUrl:").append(getLocalFileUrl());
        sb.append(",filetype:").append(getFiletype());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.datumId = null;

        this.matterCode = "";

        this.materialName = "";

        this.fileName = "";

        this.fileUrl = "";

        this.localFileUrl = "";

        this.filetype = "示例样表";

        this.source = 1;
    }
}